Package org.eclipse.cdt.utils.macho

# Class MachO64.Symbol

java.lang.Object
org.eclipse.cdt.utils.macho.MachO64.Symbol

All Implemented Interfaces:
  `Comparable<Object>`

Enclosing class:
  MachO64

public class MachO64.Symbol extends Object implements Comparable<Object>

## Field Summary

Fields
Modifier and Type
Field
Description
`boolean`
`is64`
`static final int`
`MAX_SECT`
`static final int`
`N_ABS`
`static final int`
`N_BCOMM`
`static final int`
`N_BINCL`
`static final int`
`N_BNSYM`
`short`
`n_desc`
`static final int`
`N_DESC_DISCARDED`
`static final int`
`N_ECOML`
`static final int`
`N_ECOMM`
`static final int`
`N_EINCL`
`static final int`
`N_ENSYM`
`static final int`
`N_ENTRY`
`static final int`
`N_EXCL`
`static final int`
`N_EXT`
`static final int`
`N_FNAME`
`static final int`
`N_FUN`
`static final int`
`N_GSYM`
`static final int`
`N_INDR`
`static final int`
`N_LBRAC`
`static final int`
`N_LCSYM`
`static final int`
`N_LENG`
`static final int`
`N_LSYM`
`static final int`
`N_OLEVEL`
`static final int`
`N_OPT`
`static final int`
`N_PARAMS`
`static final int`
`N_PBUD`
`static final int`
`N_PEXT`
`static final int`
`N_PSYM`
`static final int`
`N_RBRAC`
`static final int`
`N_RSYM`
`byte`
`n_sect`
`static final int`
`N_SECT`
`static final int`
`N_SLINE`
`static final int`
`N_SO`
`static final int`
`N_SOL`
`static final int`
`N_SSYM`
`static final int`
`N_STAB`
`long`
`n_strx`
`static final int`
`N_STSYM`
`byte`
`n_type`
`static final int`
`N_TYPE`
`static final int`
`N_UNDF`
`long`
`n_value`
`static final int`
`N_VERSION`
`static final int`
`N_WEAK_DEF`
`static final int`
`N_WEAK_REF`
`static final int`
`NO_SECT`
`static final int`
`REFERENCE_FLAG_DEFINED`
`static final int`
`REFERENCE_FLAG_PRIVATE_DEFINED`
`static final int`
`REFERENCE_FLAG_PRIVATE_UNDEFINED_LAZY`
`static final int`
`REFERENCE_FLAG_PRIVATE_UNDEFINED_NON_LAZY`
`static final int`
`REFERENCE_FLAG_UNDEFINED_LAZY`
`static final int`
`REFERENCE_FLAG_UNDEFINED_NON_LAZY`
`static final int`
`REFERENCE_TYPE`
`static final int`
`REFERENCED_DYNAMICALLY`

## Constructor Summary

Constructors
Constructor
Description
`Symbol()`

## Method Summary

Modifier and Type
Method
Description
`int`
`compareTo(Object obj)`
`String`
`getFilename()`
If the filename is available from the symbol information, this will return the base filename information.
`int`
`getFuncLineNumber()`
Returns the line number of the function which is closest associated with the address if it is available.
`String`
`getFunction()`
If the function is available from the symbol information, this will return the function name.
`int`
`getLineNumber(long vma)`
Returns the line number of the file if it is available from the symbol information.
`String`
`lineInfo()`
Returns line information in the form of filename:line and if the information is not available may return null _or_ may return ??:??
`String`
`lineInfo(long vma)`
`boolean`
`n_desc(int val)`
`boolean`
`n_type(int val)`
`boolean`
`n_type_mask(int mask)`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### N_STAB

public static final int N_STAB

See Also:
  - Constant Field Values

### N_PEXT

public static final int N_PEXT

See Also:
  - Constant Field Values

### N_EXT

public static final int N_EXT

See Also:
  - Constant Field Values

### N_TYPE

public static final int N_TYPE

See Also:
  - Constant Field Values

### N_UNDF

public static final int N_UNDF

See Also:
  - Constant Field Values

### N_ABS

public static final int N_ABS

See Also:
  - Constant Field Values

### N_SECT

public static final int N_SECT

See Also:
  - Constant Field Values

### N_PBUD

public static final int N_PBUD

See Also:
  - Constant Field Values

### N_INDR

public static final int N_INDR

See Also:
  - Constant Field Values

### N_GSYM

public static final int N_GSYM

See Also:
  - Constant Field Values

### N_FNAME

public static final int N_FNAME

See Also:
  - Constant Field Values

### N_FUN

public static final int N_FUN

See Also:
  - Constant Field Values

### N_STSYM

public static final int N_STSYM

See Also:
  - Constant Field Values

### N_LCSYM

public static final int N_LCSYM

See Also:
  - Constant Field Values

### N_BNSYM

public static final int N_BNSYM

See Also:
  - Constant Field Values

### N_OPT

public static final int N_OPT

See Also:
  - Constant Field Values

### N_RSYM

public static final int N_RSYM

See Also:
  - Constant Field Values

### N_SLINE

public static final int N_SLINE

See Also:
  - Constant Field Values

### N_ENSYM

public static final int N_ENSYM

See Also:
  - Constant Field Values

### N_SSYM

public static final int N_SSYM

See Also:
  - Constant Field Values

### N_SO

public static final int N_SO

See Also:
  - Constant Field Values

### N_LSYM

public static final int N_LSYM

See Also:
  - Constant Field Values

### N_BINCL

public static final int N_BINCL

See Also:
  - Constant Field Values

### N_SOL

public static final int N_SOL

See Also:
  - Constant Field Values

### N_PARAMS

public static final int N_PARAMS

See Also:
  - Constant Field Values

### N_VERSION

public static final int N_VERSION

See Also:
  - Constant Field Values

### N_OLEVEL

public static final int N_OLEVEL

See Also:
  - Constant Field Values

### N_PSYM

public static final int N_PSYM

See Also:
  - Constant Field Values

### N_EINCL

public static final int N_EINCL

See Also:
  - Constant Field Values

### N_ENTRY

public static final int N_ENTRY

See Also:
  - Constant Field Values

### N_LBRAC

public static final int N_LBRAC

See Also:
  - Constant Field Values

### N_EXCL

public static final int N_EXCL

See Also:
  - Constant Field Values

### N_RBRAC

public static final int N_RBRAC

See Also:
  - Constant Field Values

### N_BCOMM

public static final int N_BCOMM

See Also:
  - Constant Field Values

### N_ECOMM

public static final int N_ECOMM

See Also:
  - Constant Field Values

### N_ECOML

public static final int N_ECOML

See Also:
  - Constant Field Values

### N_LENG

public static final int N_LENG

See Also:
  - Constant Field Values

### NO_SECT

public static final int NO_SECT

See Also:
  - Constant Field Values

### MAX_SECT

public static final int MAX_SECT

See Also:
  - Constant Field Values

### REFERENCE_TYPE

public static final int REFERENCE_TYPE

See Also:
  - Constant Field Values

### REFERENCE_FLAG_UNDEFINED_NON_LAZY

public static final int REFERENCE_FLAG_UNDEFINED_NON_LAZY

See Also:
  - Constant Field Values

### REFERENCE_FLAG_UNDEFINED_LAZY

public static final int REFERENCE_FLAG_UNDEFINED_LAZY

See Also:
  - Constant Field Values

### REFERENCE_FLAG_DEFINED

public static final int REFERENCE_FLAG_DEFINED

See Also:
  - Constant Field Values

### REFERENCE_FLAG_PRIVATE_DEFINED

public static final int REFERENCE_FLAG_PRIVATE_DEFINED

See Also:
  - Constant Field Values

### REFERENCE_FLAG_PRIVATE_UNDEFINED_NON_LAZY

public static final int REFERENCE_FLAG_PRIVATE_UNDEFINED_NON_LAZY

See Also:
  - Constant Field Values

### REFERENCE_FLAG_PRIVATE_UNDEFINED_LAZY

public static final int REFERENCE_FLAG_PRIVATE_UNDEFINED_LAZY

See Also:
  - Constant Field Values

### REFERENCED_DYNAMICALLY

public static final int REFERENCED_DYNAMICALLY

See Also:
  - Constant Field Values

### N_DESC_DISCARDED

public static final int N_DESC_DISCARDED

See Also:
  - Constant Field Values

### N_WEAK_REF

public static final int N_WEAK_REF

See Also:
  - Constant Field Values

### N_WEAK_DEF

public static final int N_WEAK_DEF

See Also:
  - Constant Field Values

### n_strx

public long n_strx

### n_value

public long n_value

### n_desc

public short n_desc

### n_type

public byte n_type

### n_sect

public byte n_sect

### is64

public boolean is64

## Constructor Details

### Symbol

public Symbol()

## Method Details

### n_type_mask

public boolean n_type_mask(int mask)

### n_type

public boolean n_type(int val)

### n_desc

public boolean n_desc(int val)

### compareTo

public int compareTo(Object obj)

Specified by:
  `compareTo` in interface `Comparable<Object>`

### toString

public String toString()

Overrides:
  `toString` in class `Object`

### lineInfo

public String lineInfo()
Returns line information in the form of filename:line and if the information is not available may return null _or_ may return ??:??

### lineInfo

public String lineInfo(long vma)

### getFunction

public String getFunction()
If the function is available from the symbol information, this will return the function name. May return null if the function can't be determined.

### getFilename

public String getFilename()
If the filename is available from the symbol information, this will return the base filename information. May return null if the filename can't be determined.

### getFuncLineNumber

public int getFuncLineNumber()
Returns the line number of the function which is closest associated with the address if it is available. from the symbol information. If it is not available, then -1 is returned.

### getLineNumber

public int getLineNumber(long vma)
Returns the line number of the file if it is available from the symbol information. If it is not available, then -1 is returned.